commit:     567106f8c03c1eebf5ab8b6ae0bb163ca796190d
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 22 20:34:39 2023 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Jun 22 20:34:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=567106f8

dev-util/github-cli: add 2.31.0

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-util/github-cli/Manifest                 |  2 +
 dev-util/github-cli/github-cli-2.31.0.ebuild | 66 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-util/github-cli/Manifest b/dev-util/github-cli/Manifest
index 32bea17638b5..0199d0d25e6e 100644
--- a/dev-util/github-cli/Manifest
+++ b/dev-util/github-cli/Manifest
@@ -6,3 +6,5 @@ DIST github-cli-2.21.2-deps.tar.xz 105943376 BLAKE2B 
88b2f6a74a5bd88bfab180531c2
 DIST github-cli-2.21.2.tar.gz 774307 BLAKE2B 
8f50d2cf5b093311974bffb56c0055021c35bf14f9323af0baaf5bc5803340ea053f7ae3cb5fe6475820c4e59a0044b55e865a87763be0cf65f7bb58ea9f5196
 SHA512 
c2bf99cfabae8329c6c0114afb2b7aadc6b081a0fa2398452c452f97e393f3597a61aa354223fad4f4a848089ee42dc26a529a43fc7006ffae090dadcb18c2e7
 DIST github-cli-2.27.0-deps.tar.xz 106343228 BLAKE2B 
ac99c816089dd7cc309dcb0984d87477e8b733ce938ac4b75c86357d63145ed4d4635d8c344fb68c806241636c7a84da372e228d8c074ad08b695c266b5c83ec
 SHA512 
caa52b8c4216f2cde4bfd33df3240b79401e91574061d6417cf78c8049e617996aa20b6dd09aa7ab8e7f9f5ebaa55b2f997da47d153d95e6d413707c1a7fc3c3
 DIST github-cli-2.27.0.tar.gz 828409 BLAKE2B 
1c543dbf8caf39198107a71bcde159996e6a333c9a0949d4a8862e72255246d558e72e35e13947bbc4a3122a101a623c45681c6ddf127d1f4a425b7ff03ad3d6
 SHA512 
ea475e828ac28dca3ba5a12a5340df697c4dad2d76140eb591b822e438a78511d82e4786b6949fb52396d8b1ef07d70b7d0b2a5a378785cf4b35d084829d1bea
+DIST github-cli-2.31.0-deps.tar.xz 106505536 BLAKE2B 
cfd4fd3b11839edeef86382b15a2adc561d9d8377b3fe75d896914820e70708cf9781966e25afed3538c284a17efb82da4087613ab74c1a4acb2fb62d76b7f67
 SHA512 
e9f339d400841541d6aefb8b1725d36a5b6351edcdd4bc7ec25eb75cb8d15041a995e1bbcf9506ce5d96ea2bdaccf02077e37f593917ea3157937ea466e7f5a3
+DIST github-cli-2.31.0.tar.gz 888221 BLAKE2B 
ad1d0125ca043f180d1cb46eb4413ea654e3ab23ea72cac10c04c40f5858fda825b6cfa2022454293018416a1ef12b8182fe1bdfaf6fea977145503689a062a0
 SHA512 
e0dbdba446666d8a4ce9edb1b7387f26b8a865cf35d1006e86547ff44b7bffe78b29885b4e5e9654f966a6121d67e0097f4fc759405ffc9d34ca430032ed556a

diff --git a/dev-util/github-cli/github-cli-2.31.0.ebuild 
b/dev-util/github-cli/github-cli-2.31.0.ebuild
new file mode 100644
index 000000000000..afe949aebe68
--- /dev/null
+++ b/dev-util/github-cli/github-cli-2.31.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit bash-completion-r1 flag-o-matic go-module
+
+DESCRIPTION="GitHub CLI"
+HOMEPAGE="https://github.com/cli/cli";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/cli/cli.git";
+else
+       SRC_URI="https://github.com/cli/cli/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv"
+       S="${WORKDIR}/cli-${PV}"
+fi
+
+LICENSE="MIT Apache-2.0 BSD BSD-2 MPL-2.0"
+SLOT="0"
+
+RDEPEND=">=dev-vcs/git-1.7.3"
+
+RESTRICT="test"
+
+src_unpack() {
+       if [[ ${PV} == *9999 ]]; then
+               git-r3_src_unpack
+               go-module_live_vendor
+       else
+               go-module_src_unpack
+       fi
+}
+
+src_compile() {
+       [[ ${PV} == *9999 ]] || export GH_VERSION="v${PV}"
+       # Filter '-flto*' flags to avoid build failures.
+       filter-flags "-flto*"
+       # Filter '-ggdb3' flag to avoid build failures. bugs.gentoo.org/847991
+       filter-flags "-ggdb3"
+       # Go LDFLAGS are not the same as GCC/Binutils LDFLAGS
+       unset LDFLAGS
+       # Once we set up cross compiling, this line will need to be adjusted
+       # to compile for the target.
+       # Everything else in this function happens on the host.
+       emake
+
+       einfo "Building man pages"
+       emake manpages
+
+       einfo "Building completions"
+       go run ./cmd/gh completion -s bash > gh.bash-completion || die
+       go run ./cmd/gh completion -s zsh > gh.zsh-completion || die
+}
+
+src_install() {
+       dobin bin/gh
+       dodoc README.md
+
+       doman share/man/man?/gh*.?
+
+       newbashcomp gh.bash-completion gh
+       insinto /usr/share/zsh/site-functions
+       newins gh.zsh-completion _gh
+}

Reply via email to